Subject: Re: [PATCH 01/13] bisect tests: test for v2.30.0 "bisect run" regressions

From: Đoàn Trần Công Danh <[email-masked]>
Date: Tue, 8 Nov 2022 08:17:32 +0700

On 2022-11-07 22:31:50+0100, Ævar Arnfjörð Bjarmason <[email-masked]> wrote:
> 
> On Sun, Nov 06 2022, Đoàn Trần Công Danh wrote:
> 
> > From: Ævar Arnfjörð Bjarmason <[email-masked]>
> >
> > Add three failing tests which succeed on v2.29.0, but due to the topic
> > merged at [1] (specifically [2]) have been failing since then. We'll
> > address those regressions in subsequent commits.
> >
> > There was also a "regression" where:
> >
> > 	git bisect run ./missing-script.sh
> >
> > Would count a non-existing script as "good", as the shell would exit
> > with 127. That edge case is a bit too insane to preserve, so let's not
> > add it to these regression tests.
> >
> > 1. 0a4cb1f1f2f (Merge branch 'mr/bisect-in-c-4', 2021-09-23)
> > 2. d1bbbe45df8 (bisect--helper: reimplement `bisect_run` shell
> >    function in C, 2021-09-13)
> >
> > Signed-off-by: Ævar Arnfjörð Bjarmason <[email-masked]>
> > Signed-off-by: Đoàn Trần Công Danh <[email-masked]>
> > ---
> >  t/t6030-bisect-porcelain.sh | 79 +++++++++++++++++++++++++++++++++++++
> >  1 file changed, 79 insertions(+)
> 
> Looks good, if I do say so myself :) (unchanged from my topic)
> 
> But I wonder why your "fix the regression" base topic isn't starting
> with this. I.e. our intial report was about that "--log" issue, but now
> we know we altered the output in ways we didn't intend.

Well, I would like to keep that topic as much short as possible to
have a higher chance of fixing real regression first. Those changes is
error/warning/log are less important as you said below ...
 
> It's fine if we say "that's less important", but then ... something
> should say that .. :)

Sure, I will add it in the next revision.

-- 
Danh